groovy.util

## Interface BufferedIterator<T>

- All Superinterfaces:
    java.util.Iterator<T>
  All Known Implementing Classes:
    IteratorBufferedIterator, ListBufferedIterator

      public interface BufferedIterator<T>
      extends java.util.Iterator<T>

  An iterator that allows examining the next element without consuming it.
  Since:
    2.5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `head()`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### head

          T head()